## Cancel Parse Job

**post** `/api/v2/parse/{job_id}/cancel`

Cancel a running parse job.

Stops processing and marks the job as CANCELLED. Returns the updated job. Jobs already in a terminal state (COMPLETED, FAILED, CANCELLED) cannot be cancelled.

### Path Parameters

- `job_id: string`

### Query Parameters

- `organization_id: optional string`

- `project_id: optional string`

### Cookie Parameters

- `session: optional string`

### Returns

- `id: string`

  Unique parse job identifier

- `project_id: string`

  Project this job belongs to

- `status: "CANCELLED" or "COMPLETED" or "FAILED" or 2 more`

  Current job status: PENDING, RUNNING, COMPLETED, FAILED, or CANCELLED

  - `"CANCELLED"`

  - `"COMPLETED"`

  - `"FAILED"`

  - `"PENDING"`

  - `"RUNNING"`

- `created_at: optional string`

  Creation datetime

- `error_message: optional string`

  Error details when status is FAILED

- `name: optional string`

  Optional display name for this parse job

- `tier: optional string`

  Parsing tier used for this job

- `updated_at: optional string`

  Update datetime

- `usage: optional object { credits }`

  Usage recorded against a job.

  - `credits: optional number`

    Total credits billed against this job. Null until billing has recorded it.

- `user_metadata: optional map[string]`

  Key/value tags associated with this job.

### Example

```http
curl https://api.cloud.llamaindex.ai/api/v2/parse/$JOB_ID/cancel \
    -X POST \
    -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY"
```

#### Response

```json
{
  "id": "pjb-aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
  "project_id": "prj-aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
  "status": "CANCELLED",
  "created_at": "2019-12-27T18:11:19.117Z",
  "error_message": "error_message",
  "name": "Q4 Financial Report",
  "tier": "fast",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "usage": {
    "credits": 30
  },
  "user_metadata": {
    "owner": "jerry",
    "team": "research"
  }
}
```
